Low Activity
I Use This!


Analyzed 1 day ago. based on code collected 1 day ago.
Posted 4 months ago by Josep Maria Antolín Segura
Hello. Windows 10 has just recently been officially released, and given the ability to upgrade to it for free that Windows 7 and Windows 8.1 users have, it is to be expected that sooner than later you will start using Psycle on it. I've just done ... [More] that, and so far, it seems to work well (WASAPI, MIDI, VSTs in general...), but there are a few things that pop up here and there. First off, there is a strange problem with the plugin cache. It has to be regenerated, else Psycle doesn't start. I am not sure if this is because of some concrete plugin, or it is in how the cache is saved (i couldn't made a compare between a working and a non working one). There is an easy way to regenerate it without deleting the file explicitly (the place where it is located depends on where you are saving the configuration): Launch Psycle with the parameter /skipscan There are several ways to do this. One is opening a command prompt in psycle's folder, and then writing psycle.exe /skipscan . The other is modifying the psycle's start menu link and adding /skipscan at the end of the destination (add a space before /skipscan) Once Psycle launches this way, go directly to "configuration" menu and clic on "Regenerate the plugin cache". Do not try to open the add machine dialog, since that runs the process that we're trying to avoid. The other issue is that some VST plugins might not work or crash. Aside of the problems that were already present in Windows 7 and 8 (which is that some plugins need Psycle to run as administrator), I've encountered a problem with BlueCat freeware plugins. I had to uninstall them, because they crash Psycle when it scans them. Strangely, the 64bit versions seems to work well. I will investigate this further. [Less]
Posted 7 months ago by Josep Maria Antolín Segura
Today has been published a beta of the upcoming release of Psycle. It is the version 1.12.1, and includes mostly improvements to use samples and instruments with sampler and sampulse. It also contains a new host for LADSPA effects (not fully tested ... [More] yet) and improvements on the Lua Host that was added for 1.12. It also fixes some bugs that were found since the release of 1.12. [Less]
Posted about 1 year ago by Josep Maria Antolín Segura
Version 1.12 of Psycle has finally reached release status. This version is the result of the three 1.11 betas, with three main changes from version 1.10: The finalization of the Sampulse machine and changes in the way sampled sounds are used ... [More] , including the Virtual Generator feature (See the help manual for information), a new machine host based on Lua scripting (see the LuaScriptingManual and the included scripts for information), and finally, a new skin as well as new skin options for skin developers (pattern header with track names, and ability to skin the mixer and the master) It can be downloaded from the files section. [Less]
Posted over 1 year ago by Josep Maria Antolín Segura
The 32bit Psycle 1.11.3 installer has been updated so that it is compatible with Windows XP again. A setting was changed unintentionally between beta 2 and beta 3, so a new build has been published with that setting corrected. The 64bit Psycle will remain compatible with Vista and above.
Posted over 1 year ago by Josep Maria Antolín Segura
The third iteration of the 1.11/1.12 version is ready for download. This one includes mostly usability improvements and improved sample format support, as well as several fixes to previous beta bugs. It also adds a new skin feature to allow showing ... [More] the pattern track names in a skinned form. Take a look at the whatsnew.txt file for more information. The 32bit and 64bit installers are available in the files section, inside the version 1.11 folder. This beta can be considered a release candidate. Btw, don't forget to check the demo song! https://soundcloud.com/josep-maria-antolin/tracking-and-dancing-oldstyle ( .psy available here: http://http://psycle.free.fr/josepma/sampulsedemo/oldstyle.psy ) [Less]
Posted almost 2 years ago by Josep Maria Antolín Segura
The next beta version of Psycle is ready. Psycle 1.11.2 can be found in the Files section. This new release contains bugfixes for several problems that existed in the first beta. Notoriously, several crashes and hangs, but also smaller ones. Development is now focused in improving some corner cases of Sampulse and Lua, and update the help file.
Posted almost 2 years ago by Josep Maria Antolín Segura
The first beta version for the upcoming 1.12 is ready. You can download version 1.11.1 from Sourceforge. This release contains two major additions: A new Plugin Host which allows to make plugins with Lua scripting, and the first really usable version ... [More] of the Sampulse Machine. As for the first one, there are four example plugins included in the LuaScripts dir, as well as an API documentation which includes a small tutorial. Find it in the docs folder. This version also incorporates new Artwork, from the installer, to the icon, to the skin and colours. The older skin is included in the Skins folder in case you prefer the older look. [Less]
Posted about 3 years ago by Josep Maria Antolín Segura
The changes to the song loading mechanism caused songs made with the previous release to not load correctly. (Just happened with that one version). I have fixed it for the vc2005 compile. The vc2003 compile will need to wait until the weekend to be able to upload it again.
Posted about 3 years ago by Josep Maria Antolín Segura
A new maintenance version for Psycle has been released. Psycle 1.8.6. This version is based on Psycle 1.8.5 and contains several fixes done during the year 2008, plus a couple of selected changes of 2009. The main program is packed into three ... [More] different installers. One for old SSE processors, another for SSE2 capable processors, and a third one for SSE2 capable processors, but compiled with visual studio 2005. Note: vc2005 version contains updated plugins. The others contain the same versions as 1.8.5. Note 2: Newer version will be compiled with vc 2005 or maybe 2008, so if the vc2005 compile doesn't work for you, tell us. [Less]
Posted about 3 years ago by Josep Maria Antolín Segura
This release contains mostly the fixes for the song loading (several 1.8 and 1.7 .psy files could fail to load), as well as fixes on the native plugins, happening only in the vc2005 compile. Now it should be considered safe to use.